#
# spec file for package rubygem-haml
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-haml
Version:        6.3.0
Release:        1.2
%define mod_name haml
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.1.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            https://haml.info
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        An elegant, structured (X)HTML/XML templating engine
License:        MIT
PreReq:         update-alternatives

%description
An elegant, structured (X)HTML/XML templating engine.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- ## 6.3.0
  * Remove `Haml::RailsTemplate#default_format` that was added in v6.1.3 for Turbo [#1152](https://github.com/haml/haml/issues/1152), [#1154](https://github.com/haml/haml/issues/1154) ([discussion](https://github.com/haml/haml/pull/1144#issuecomment-1755088572))
  * See [the reference](https://github.com/haml/haml/blob/v6.3.0/REFERENCE.md#turbo) for suggested alternatives.
  [#]# 6.2.5
  * Deprecate `Haml::RailsTemplate#default_format` that was added in v6.1.3 for Turbo ([discussion](https://github.com/haml/haml/pull/1144#issuecomment-1755088572))
  * See [the reference](https://github.com/haml/haml/blob/v6.2.5/REFERENCE.md#turbo) for suggested alternatives.
  [#]# 6.2.4
  * Support case-in statement [#1155](https://github.com/haml/haml/issues/1155)
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 6.2.3, see bundled CHANGELOG.md
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 6.0.12
  see installed CHANGELOG.md
  [#]# 6.0.12
  * Fix a whitespace removal with `>` and an `if`-`else` statement [#1114](https://github.com/haml/haml/issues/1114)
  [#]# 6.0.11
  * Fix a whitespace removal with `>` and an `if` statement [#1114](https://github.com/haml/haml/issues/1114)
  [#]# 6.0.10
  * Evaluate :erb filter in the template context like Haml 5
  [#]# 6.0.9
  * Support sass-embedded [#1112](https://github.com/haml/haml/issues/1112)
  [#]# 6.0.8
  * Support interpolation in HTML comments, which has not been working since 6.0.0
    [#1107](https://github.com/haml/haml/issues/1107)
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 6.0.7
  see installed CHANGELOG.md
  [#]# 6.0.7
  * `Haml::Engine` and `Haml::Template` use StringBuffer instead of ArrayBuffer
  * It seems more performant in many cases with recent Ruby versions.
  * `Haml::RailsTemplate` is not affected.
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 6.0.6
  see installed CHANGELOG.md
  [#]# 6.0.6
  * Prevent CRuby from accidentally using the Ruby implementation fallback
  * Reversing what v6.0.3 and v6.0.4 did, but still supporting Wasm.
  [#]# 6.0.5
  * Resurrect `#haml_object_ref` support in an object reference [#1097](https://github.com/haml/haml/issues/1097)
  * This was removed in 6.0.0, and added back in this version.
  * Stop warning `remove_whitespace: true` option.
  [#]# 6.0.4
  Released on October 2, 2022
  ([diff](https://github.com/haml/haml/compare/v6.0.3...v6.0.4)).
  * Fix a parse failure of `%%` in attributes [#1096](https://github.com/haml/haml/issues/1096)
  * Add another fallback from C to Ruby for Wasm.
  [#]# 6.0.3
  Released on September 28, 2022
  ([diff](https://github.com/haml/haml/compare/v6.0.2...v6.0.3)).
  * For Wasm, fallback to Ruby when C extension is not available.
  [#]# 6.0.2
  Released on September 28, 2022
  ([diff](https://github.com/haml/haml/compare/v6.0.1...v6.0.2)).
  * Unescape HTML-safe arguments for `surround`, `succeed`, and `precede` on Rails
    [#1088](https://github.com/haml/haml/issues/1088)
  [#]# 6.0.1
  Released on September 23, 2022
  ([diff](https://github.com/haml/haml/compare/v6.0.0...v6.0.1)).
  * Unescape HTML-safe interpolation on Rails [#1084](https://github.com/haml/haml/issues/1084)
  * Resurrect Haml 5's `AttributeParser.available?` for syntax\_tree-haml [#1085](https://github.com/haml/haml/issues/1085)
  [#]# 6.0.0
  Released on September 21, 2022
  ([diff](https://github.com/haml/haml/compare/v5.2.2...v6.0.0)).
  * Replace the implementation with Hamlit
  * Haml 6 is about 1.7x faster than Haml 5 in [this benchmark](benchmark/slim/run-benchmarks.rb).
  * The parser is kept as is, but everything else is replaced.
  * The `haml` CLI interface was also replaced.
  * The interface of `Haml::Engine` is changed. `Haml::Template` is most likely what you need now.
  * Most Haml helpers are removed.
  * Rails:
  * Kept: `find_and_reserve`, `preserve`, `surround`, `precede`, `succeed`, `capture_haml`
  * Removed: `block_is_haml?`, `flatten`, `haml_concat`, `haml_indent`, `haml_tag`, `haml_tag_if`, `html_attrs`,
    `html_escape`, `init_haml_helpers`, `is_haml?`, `list_of`, `non_haml`, `tab_down`, `tab_up`, `with_tabs`
  * Tilt:
  * Kept: `preserve`
  * Removed: `block_is_haml?`, `capture_haml`, `escape_once`, `find_and_preserve`, `flatten`, `haml_concat`,
    `haml_indent`, `haml_tag`, `haml_tag_if`, `html_attrs`, `html_escape`, `init_haml_helpers`, `is_haml?`,
    `list_of`, `non_haml`, `precede`, `succeed`, `surround`, `tab_down`, `tab_up`, `with_tabs`
  * Only the attributes in [`Haml::AttributeBuilder::BOOLEAN_ATTRIBUTES`](lib/haml/attribute_builder.rb)
    are handled as boolean attributes.
  * Some legacy Rails integration is removed.
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 5.2.2
  see installed CHANGELOG.md
  [#]# 5.2.2
  Released on July 27, 2021
  ([diff](https://github.com/haml/haml/compare/v5.2.1...v5.2.2)).
  * Support for adding Annotations to Haml output (a Rails feature 6.1+)
  * Expanded test matrix to include Ruby 3.0 and Rails 6.1
  * Only testing Ruby 2.7+ and Rails 5.2+
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 5.2.1
  see installed CHANGELOG.md
  [#]# 5.2.1
  Released on November 30, 2020
  ([diff](https://github.com/haml/haml/compare/v5.2.0...v5.2.1)).
  * Add in improved "multiline" support for attributes [#1043](https://github.com/haml/haml/issues/1043)
  [#]# 5.2
  Released on September 28, 2020
  ([diff](https://github.com/haml/haml/compare/v5.1.2...v5.2.0)).
  * Fix crash in the attribute optimizer when `#inspect` is overridden in TrueClass / FalseClass [#972](https://github.com/haml/haml/issues/972)
  * Do not HTML-escape templates that are declared to be plaintext [#1014](https://github.com/haml/haml/issues/1014) (Thanks [@cesarizu](https://github.com/cesarizu))
  * Class names are no longer ordered alphabetically, and now follow a new specification as laid out in REFERENCE [#306](https://github.com/haml/haml/issues/306)
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 5.1.2
  see installed CHANGELOG.md
  [#]# 5.1.2
  Released on August 6, 2019
  ([diff](https://github.com/haml/haml/compare/v5.1.1...v5.1.2)).
  * Fix crash in some environments such as New Relic by unfreezing string literals for ParseNode#inspect. [#1016](https://github.com/haml/haml/pull/1016) (thanks [Jalyna](https://github.com/jalyna))
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.1.1
  see installed CHANGELOG.md
  [#]# 5.1.1
  Released on May 25, 2019
  ([diff](https://github.com/haml/haml/compare/v5.1.0...v5.1.1)).
  * Fix NameError bug for that happens on ruby 2.6.1-2.6.3 + haml 5.1.0 + rails 4.2.x + erubi. (Akira Matsuda)
  [#]# 5.1.0
  Released on May 16, 2019
  ([diff](https://github.com/haml/haml/compare/v5.0.4...v5.1.0)).
  * Rails 6 support [#1008](https://github.com/haml/haml/pull/1008) (thanks [Seb Jacobs](https://github.com/sebjacobs))
  * Add `escape_filter_interpolations` option for backwards compatibility with haml 4 defaults [#984](https://github.com/haml/haml/pull/984) (thanks [Will Jordan](https://github.com/wjordan))
  * Fix error on empty :javascript and :css filter blocks [#986](https://github.com/haml/haml/pull/986) (thanks [Will Jordan](https://github.com/wjordan))
  * Respect changes in Haml::Options.defaults in `Haml::TempleEngine` options (Takashi Kokubun)
  * Un-freeze TempleEngine precompiled string literals [#983](https://github.com/haml/haml/pull/983) (thanks [Will Jordan](https://github.com/wjordan))
  * Various performance/memory improvements [#965](https://github.com/haml/haml/pull/965), [#966](https://github.com/haml/haml/pull/966), [#963](https://github.com/haml/haml/pull/963) (thanks [Dillon Welch](https://github.com/oniofchaos))
  * Enable `frozen_string_literal` magic comment for all .rb files [#967](https://github.com/haml/haml/pull/967) (thanks [Dillon Welch](https://github.com/oniofchaos))
* Fri Oct 13 2017 mschnitzer@suse.com
- updated to version 5.0.4
  Released on October 13, 2017 (diff).
  * Fix haml -c --stdin regression in 5.0.2. #958 (thanks Timo Göllner)
  * Ruby 2.5 support (it wasn't working due to Ripper API change). (Akira Matsuda)
* Thu Sep  7 2017 mschnitzer@suse.com
- updated to version 5.0.3
  Released on September 7, 2017 (diff).
  * Use String#dump instead of String#inspect to generate string literal. (Takashi Kokubun)
  * Fix Erubi superclass mismatch error. #952 (thanks Robin Daugherty)
* Thu Aug  3 2017 coolo@suse.com
- updated to version 5.0.2
  see installed CHANGELOG.md
  [#]# 5.0.2
  Released on August 1, 2017
  ([diff](https://github.com/haml/haml/compare/v5.0.2...v5.0.1)).
  * Let `haml -c` fail if generated Ruby code is syntax error. [#880](https://github.com/haml/haml/issues/880) (Takashi Kokubun)
  * Fix `NoMethodError` bug caused with Sprockets 3 and :sass filter. [#930](https://github.com/haml/haml/pull/930) (thanks [Gonzalez Maximiliano](https://github.com/emaxi))
  * Fix `list_of` helper with multi-line content. [#933](https://github.com/haml/haml/pull/933) (thanks [Benoit Larroque](https://github.com/zetaben))
  * Optimize rendering performance by changing timing to fix textareas. [#941](https://github.com/haml/haml/pull/941) (Takashi Kokubun)
  * Fix `TypeError` with empty :ruby filter. [#942](https://github.com/haml/haml/pull/942) (Takashi Kokubun)
  * Fix inconsitent attribute sort order. (Takashi Kokubun)
* Tue May 23 2017 coolo@suse.com
- updated to version 5.0.1
  see installed CHANGELOG.md
  [#]# 5.0.1
  Released on May 3, 2017
  ([diff](https://github.com/haml/haml/compare/v5.0.0...v5.0.1)).
  * Fix parsing attributes including string interpolation. [#917](https://github.com/haml/haml/pull/917) [#921](https://github.com/haml/haml/issues/921)
  * Stop distributing test files in gem package and allow installing on Windows.
  * Use ActionView's Erubi/Erubis handler for erb filter only on ActionView. [#914](https://github.com/haml/haml/pull/914)
  [#]# 5.0.0
  Released on April 26, 2017
  ([diff](https://github.com/haml/haml/compare/4.0.7...v5.0.0)).
  Breaking Changes
  * Haml now requires Ruby 2.0.0 or above.
  * Rails 3 is no longer supported, matching the official
    [Maintenance Policy for Ruby on Rails](http://weblog.rubyonrails.org/2013/2/24/maintenance-policy-for-ruby-on-rails/).
    (Tee Parham)
  * The `haml` command's debug option (`-d`) no longer executes the Haml code, but
    rather checks the generated Ruby syntax for errors.
  * Drop parser/compiler accessor from `Haml::Engine`. Modify `Haml::Engine#initialize` options
    or `Haml::Template.options` instead. (Takashi Kokubun)
  * Drop dynamic quotes support and always escape `'` for `escape_html`/`escape_attrs` instead.
    Also, escaped results are slightly changed and always unified to the same characters. (Takashi Kokubun)
  * Don't preserve newlines in attributes. (Takashi Kokubun)
  * HTML escape interpolated code in filters.
    [#770](https://github.com/haml/haml/pull/770)
    (Matt Wildig)
    :javascript
    [#]{JSON.generate(foo: "bar")}
    Haml 4 output: {"foo":"bar"}
    Haml 5 output: {&quot;foo&quot;:&quot;bar&quot;}
  Added
  * Add a tracing option. When enabled, Haml will output a data-trace attribute on each tag showing the path
    to the source Haml file from which it was generated. Thanks [Alex Babkin](https://github.com/ababkin).
  * Add `haml_tag_if` to render a block, conditionally wrapped in another element (Matt Wildig)
  * Support Rails 5.1 Erubi template handler.
  * Support Sprockets 3. Thanks [Sam Davies](https://github.com/samphilipd) and [Jeremy Venezia](https://github.com/jvenezia).
  * General performance and memory usage improvements. (Akira Matsuda)
  * Analyze attribute values by Ripper and render static attributes beforehand. (Takashi Kokubun)
  * Optimize attribute rendering about 3x faster. (Takashi Kokubun)
  * Add temple gem as dependency and create `Haml::TempleEngine` class.
    Some methods in `Haml::Compiler` are migrated to `Haml::TempleEngine`. (Takashi Kokubun)
  Fixed
  * Fix for attribute merging. When an attribute method (or literal nested hash)
    was used in an old style attribute hash and there is also a (non-static) new
    style hash there is an error. The fix can result in different behavior in
    some circumstances. See the [commit message](https://github.com/haml/haml/tree/e475b015d3171fb4c4f140db304f7970c787d6e3)
    for detailed info. (Matt Wildig)
  * Make escape_once respect hexadecimal references. (Matt Wildig)
  * Don't treat the 'data' attribute specially when merging attribute hashes. (Matt Wildig and Norman Clarke)
  * Fix #@foo and #$foo style interpolation that was not working in html_safe mode. (Akira Matsuda)
  * Allow `@` as tag's class name. Thanks [Joe Bartlett](https://github.com/redoPop).
  * Raise `Haml::InvalidAttributeNameError` when attribute name includes invalid characters. (Takashi Kokubun)
  * Don't ignore unexpected exceptions on initializing `ActionView::OutputBuffer`. (Takashi Kokubun)
* Tue Aug 11 2015 coolo@suse.com
- updated to version 4.0.7
  see installed CHANGELOG.md
  [#]# 4.0.7
  Released on August 10, 2015
  ([diff](https://github.com/haml/haml/compare/4.0.6...4.0.7)).
  * Significantly improve performance of regexp used to fix whitespace handling in textareas (thanks [Stan Hu](https://github.com/stanhu)).
* Mon Feb  9 2015 coolo@suse.com
- updated to version 4.0.6
  * Fix warning on Ruby 1.8.7 "regexp has invalid interval" (thanks [Elia Schito](https://github.com/elia)).
* Tue Sep 30 2014 mrueckert@suse.de
- update to new packaging scheme
* Thu Feb 20 2014 coolo@suse.com
- remove SUSE prefix from license
* Mon Jan 20 2014 coolo@suse.com
- updated to version 4.0.5
  * Fix haml_concat appending unescaped HTML after a call to haml_tag.
  * Fix for bug whereby when HAML :ugly option is "true",
  ActionView::Helpers::CaptureHelper::capture returns the whole view buffer
  when passed a block that returns nothing (thanks [Mircea
  Moise](https://github.com/mmircea16)).
* Fri Nov 22 2013 coolo@suse.com
- updated to version 4.0.4
  * Check for Rails::Railtie rather than Rails (thanks [Konstantin Shabanov](https://github.com/etehtsea)).
  * Parser fix to allow literal '#' with suppress_eval (Matt Wildig).
  * Helpers#escape_once works on frozen strings (as does
  ERB::Util.html_escape_once for which it acts as a replacement in
  Rails (thanks [Patrik Metzmacher](https://github.com/patrik)).
  * Minor test fix (thanks [Mircea Moise](https://github.com/mmircea16)).
* Fri May 24 2013 coolo@suse.com
- updated to version 4.0.3
  * Compatibility with newer versions of Rails's Erubis handler.
  * Fix Erubis handler for compatibility with Tilt 1.4.x, too.
  * Small performance optimization for html_escape.
  (thanks [Lachlan Sylvester](https://github.com/lsylvester))
  * Documentation fixes.
  * Documented some helper methods that were left out of the reference.
  (thanks [Shane Riley](https://github.com/shaneriley))
* Fri Apr 12 2013 coolo@suse.com
- updated to version 4.0.2
  * Explicitly require Erubis to work around bug in older versions of Tilt.
  * Fix :erb filter printing duplicate content in Rails views.
  (thanks [Jori Hardman](https://github.com/jorihardman))
  * Replace range with slice to reduce objects created by `capture_haml`.
  (thanks [Tieg Zaharia](https://github.com/tiegz))
  * Correct/improve some documentation.
* Sat Mar 23 2013 coolo@suse.com
- updated to version 4.0.1
  * Remove Rails 3.2.3+ textarea hack in favor of a more general solution.
  * Fix some performance regressions.
  * Fix support for Rails 4 `text_area` helper method.
  * Fix data attribute flattening with singleton objects.
  (thanks [Alisdair McDiarmid](https://github.com/alisdair))
  * Fix support for sass-rails 4.0 beta.
  (thanks [Ryunosuke SATO](https://github.com/tricknotes))
  * Load "haml/template" in Railtie in order to prevent user options set in a
  Rails initializer from being overwritten
  * Don't depend on Rails in haml/template to allow using Haml with ActionView
  but without Rails itself. (thanks [Hunter Haydel](https://github.com/wedgex))
* Sun Mar  3 2013 coolo@suse.com
- updated to version 4.0.0
  long list, see CHANGELOG.md
* Mon Aug 27 2012 cfarrell@suse.com
- license update: MIT and SUSE-WTFPL-2.0 and GPL-2.0 and Artistic-2.0
  Package is MIT licensed (see MIT license and README.md). However, the
  sass component under vendors has a GPL license and some of the tests are
  WTFPL licensed
* Sun Aug 26 2012 coolo@suse.com
- updated to version 3.1.7
  * relicensed to SUSE-WTFPL-2.0
* Tue Jun 26 2012 coolo@suse.com
- update to 3.1.6
  * fix for the rails 3.2.3 fix to work with rails 3.1
* Tue May  8 2012 coolo@suse.com
- update to 3.1.5
  * Respect Rails’ html_safe flag when escaping attribute values
  * Fix for Rails 3.2.3 textarea helpers
* Mon Apr  9 2012 coolo@suse.com
- update to 3.1.4
  Fix the use of FormBuilder#block with a label in Haml.
  Fix indentation after a self-closing tag with dynamic attributes.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Sep 18 2011 mrueckert@suse.de
- update to haml 3.1.3
  - Fix partial layouts
* Thu Jun  9 2011 aduffeck@novell.com
- update to haml 3.1.2
  - many bugfixes
  - fix incompatibility with the rails_xss security fix
    (http://weblog.rubyonrails.org/2011/6/8/potential-xss-vulnerability-in-ruby-on-rails-applications)
  - Rails 3 support
  - does not bundle sass anymore, which is now in rubygem-sass
* Fri Jun 18 2010 mrueckert@suse.de
- use rubygems_requires
* Tue May 25 2010 fcastelli@novell.com
- do not require explicitly rubygems version, calculate it at build time
* Thu May 20 2010 aduffeck@novell.com
- upgrade to haml 3.0.4 ( new features: Rails3 support, more useful multiline,
  color mixing, @extend...)
- incompatibilities:
  - haml: The puts helper has been removed. Use Haml::Helpers#haml_concat instead.
  - sass: new syntax SCSS. SASS2-files can be converted with:
    sass-convert --from sass2 style.sass style.scss
* Thu Feb 18 2010 aduffeck@novell.com
- upgrade to haml 2.2.20
* Thu Dec 17 2009 prusnak@suse.cz
- created package
